apiVersion: cdi.kubevirt.io/v1beta1
kind: CDI
metadata:
  name: cdi
spec:
  config:
    insecureRegistries:
      - registry.demo.com
    #dataVolumeTTLSeconds: 300
    podResourceRequirements:
      requests:
        cpu: 200m
        memory: 256Mi
      limits:
        cpu: 2
        memory: 4Gi
    featureGates:
      - HonorWaitForFirstConsumer
      #- DataVolumeClaimAdoption
  #imagePullSecrets: []
  #  - name: harbor-secret
  imagePullPolicy: IfNotPresent
  infra:
    nodeSelector:
      kubernetes.io/os: linux
    tolerations:
      - key: CriticalAddonsOnly
        operator: Exists
  workload:
    nodeSelector:
      kubernetes.io/os: linux
